Astra H Android™ CAN Service - Oumnbka #253

DeviceManager.java line 157 [Crashlytics]
06/23/2019 12:00 AM - Fabric.io C.

Status: 3akpbiTa-BelnaHa B penna Start date: 08/02/2019
Priority: HopmanbHbliii Due date: 08/09/2019
Assignee: Victor K. % Done: 100%
Category: [Core] DeviceManager Estimated time: 1.00 hour
Target version: Release 2, fix #3
Umsa, mopenb Xiaomi Mi Max 2 Mpowmeka: Ctok
yCTpOMncTBa:
Bepcus OS Android: 7.1.1 E-mail pna o6patHomn

CBA3N:
Root: No
Description

Crashlytics detected a new issue.
DeviceManager.java line 157 in @@

This issue is affecting at least 1 user who has crashed at least 1 time.
More information:

https:/fabric.io/droidoncar/android/apps/com.roher.carservice/issues/78eb42f7a14b555d2a9aad3f220fb373?utm_medium=service_h
ooks-redmine&utm_source=issue_impact

Stacktrace:

Fatal Exception: java.lang.NumberFormatException: For input string: ""
at java.lang.Integer.parselInt + 533 (Integer.java:533)
at java.lang.Integer.parseInt + 556 (Integer.java:556)
at com.roher.carservice.device.c.c + 157 (DeviceManager.java:157)
at com.roher.carservice.CANService$Sa.onLooperPrepared + 758 (CANService.java:758)
at android.os.HandlerThread.run + 60 (HandlerThread. java:60)

Related issues:
Has duplicate Owunbka #254: DeviceManager.java line 157 [Crashlytics] 3akpbiTa-Boipdd802{20183  08/09/2019

History

#1 - 07/29/2019 05:35 PM - Victor K.

- Category set to [Core] QueueManager

- Status changed from HoBas to OueHeHa-I"oT0Ba k paspabotke
- Assignee set to Victor K.

- Target version set to Release 2, fix #3

- Estimated time set to 1.00 h

- Wimsa, mogenb yctpovictea changed from Any device to Xiaomi Mi Max 2

#2 - 07/29/2019 05:37 PM - Victor K.
- Has duplicate Ownbka #254: DeviceManager.java line 157 [Crashlytics] added

#3 - 07/29/2019 05:57 PM - Victor K.

- Description updated

#4 - 07/29/2019 05:58 PM - Victor K.
- Bepcus OS Android changed from Any version to 7.1.1

#5 - 07/30/2019 12:34 AM - Victor K.
https://fabric.io/droidoncar/android/apps/com.roher.carservice/issues/78eb42f7a14b555d2a9aad3f220fb373?utm_medium=service_hooks-redmine&utm_source=issue_impact
https://fabric.io/droidoncar/android/apps/com.roher.carservice/issues/78eb42f7a14b555d2a9aad3f220fb373?utm_medium=service_hooks-redmine&utm_source=issue_impact

- Category changed from [Core] QueueManager to [Core] DeviceManager

#6 - 08/02/2019 07:34 PM - Victor K.
- Due date set to 08/09/2019
- Status changed from OueHeHa-I"oToBa k paspaboTke to B paspaborke

- Start date set to 08/02/2019

#7 - 08/02/2019 10:02 PM - Victor K.
- % Done changed from 0 to 60

Fixed at revision 586

#8 - 08/02/2019 11:44 PM - Victor K.

- Status changed from B paspabotke to "0T0Ba 4715 TecTupoBaHus

#9 - 08/15/2019 01:59 PM - Victor K.

- Status changed from "otoBa ans TectupoBaHus to B npouecce tectupoBaHns

#10 - 01/01/2020 09:51 PM - Victor K.
- Status changed from B npouecce tectupoBanus to lNporectupoBaHa-IotoBa B penns

- % Done changed from 60 to 100

#11 - 01/01/2020 09:51 PM - Victor K.

- Status changed from [lNpotectuposaHa-IoToBa B penu3 to 3akpbiTa-BbinaHa B penus
